Bug 105345 - [CI] igt@.* - dmesg-warn - *ERROR* failed to start channel equalization
Summary: [CI] igt@.* - dmesg-warn - *ERROR* failed to start channel equalization
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-03-05 14:55 UTC by Martin Peres
Modified: 2019-08-22 10:00 UTC (History)
1 user (show)

See Also:
i915 platform: BXT, KBL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Lakshmi 2018-09-24 12:35:26 UTC
This issue was seen 4 times in last 6 months. Last time this issue occurred 4 months ago.
I assume this issue has been Resolved/fixed and Closing now. Feel free to reopen if you still have the issue.
Comment 2 Martin Peres 2018-10-12 10:31:27 UTC
Guess who's back (or never really left)?

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4971/shard-kbl2/igt@kms_flip@basic-flip-vs-dpms.html

<3> [200.850023] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to start channel equalization
Comment 3 Martin Peres 2018-10-12 10:34:32 UTC
OK, now this is odd: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_4975/shard-kbl2/igt@kms_chv_cursor_fail@pipe-b-64x64-left-edge.html

<3> [154.619909] [drm:intel_dp_start_link_train [i915]] *ERROR* failed to start channel equalization

Two in a row? Sounds like a regression to me!
Comment 4 CI Bug Log 2019-02-18 11:49:16 UTC
A CI Bug Log filter associated to this bug has been updated:

{- shard-kbl: All tests - dmesg-warn - *ERROR* failed to start channel equalization -}
{+ shard-apl shard-kbl: All tests - dmesg-warn - *ERROR* failed to start channel equalization +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5622/shard-apl7/igt@pm_rpm@gem-execbuf-stress-extra-wait.html
Comment 5 CI Bug Log 2019-04-24 08:13:31 UTC
A CI Bug Log filter associated to this bug has been updated:

{- shard-apl shard-kbl: All tests - dmesg-warn - *ERROR* failed to start channel equalization -}
{+ APL KBL: All tests - dmesg-warn - *ERROR* failed to start channel equalization +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5978/fi-apl-guc/igt@i915_pm_rpm@module-reload.html
Comment 6 Mika Kahola 2019-08-22 10:00:31 UTC
Displayport (DP) requires that we equalize the cable losses by selecting the best combination of voltage swing and pre-emphasis values. These are essential parameters to keep signal quality as high level as possible between the sink and the source. Failing to due so, will lead corrupted image in form of frame losses or in worst case scenario no image at all.

#assessment


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.